Fleetdock
API referenceOverviewOverview

Fleet overview dashboard

Fleet-wide counts, first-run setup progress, and up to 20 open problems ("attention") the caller is allowed to see, critical first.

GET
/v1/overview

Fleet-wide counts, first-run setup progress, and up to 20 open problems ("attention") the caller is allowed to see, critical first.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/overview"
{  "setup": {    "servers": 0,    "instances": 0,    "destinations": 0,    "schedules": 0,    "channels": 0  },  "attention": [    {      "kind": "server_offline",      "severity": "critical",      "resource_type": "server",      "resource_id": "4d5215ed-38bb-48ed-879a-fdb9ca58522f",      "name": "string",      "message": "string",      "since": "2019-08-24T14:15:22Z"    }  ]}